var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconModelServiceCComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-model-service-c").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#9876FF', d: "M8.888 8.035a.979.979 0 0 0 .647-.28.98.98 0 1 0-1.493-1.252.979.979 0 0 0 .846 1.532Z" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#9876FF', fillRule: "evenodd", d: "M2.288 1.5a.788.788 0 0 0-.788.788v11.424c0 .435.353.788.788.788h11.424a.788.788 0 0 0 .788-.788V2.288a.788.788 0 0 0-.788-.788H2.288Zm9.146 2.972a.283.283 0 0 1 .077.143A4.803 4.803 0 0 1 9.645 9.6a.478.478 0 0 0-.11.176 3.89 3.89 0 0 1-1.01 1.778c-.237.222-.494.42-.768.593a.303.303 0 0 1-.343-.034.277.277 0 0 1-.075-.317c.128-.368.202-.753.22-1.142a.313.313 0 0 0-.132-.264c-.37-.268-.723-.562-1.054-.878a9.95 9.95 0 0 1-.878-1.054.313.313 0 0 0-.263-.131c-.39.017-.774.091-1.142.22a.31.31 0 0 1-.242-.023.288.288 0 0 1-.11-.395A3.807 3.807 0 0 1 6.11 6.35a.302.302 0 0 0 .176-.11 4.862 4.862 0 0 1 5.006-1.844.282.282 0 0 1 .143.076ZM4.815 11.07c-.216-.216.57-1.377.748-1.554a.562.562 0 0 1 .649 0 .573.573 0 0 1 .157.806c-.177.178-1.337.965-1.554.748Z", clipRule: "evenodd" }));
}
var IconModelServiceC = React.forwardRef(IconModelServiceCComponent);
export default IconModelServiceC;
